# Makefile
# --------
# Copyright : (c) 2008, Jeremie Dimino <dimino@crans.org>
# Licence   : BSD3

# Notes:
#
# Il faut créer un lien de ce fichier depuis le /usr/scripts vers le
# dossier contenant les paquets du crans (/puftp/custom) sur la
# machine avec le ftp (ftp.crans.org)

.PHONY: all Packages Sources clean

all: Release Release.gpg

Release: Packages Packages.gz Packages.bz2 Sources Sources.gz Sources.bz2
	apt-ftparchive -o "APT::FTPArchive::Release::Suite=crans" release . > Release

Release.gpg: Release
	rm -f Release.gpg
	@echo "*** Pensez à exécuter la commande suivante sur une machine avec votre clef gpg ***"
	gpg -asbo Release.gpg Release

Packages:
	apt-ftparchive packages . > Packages

Sources:
	apt-ftparchive sources . > Sources

%.gz: %
	gzip -c $< > $@

%.bz2: %
	bzip2 -c $< > $@

clean:
	rm -f Packages Packages.gz Packages.bz2 Sources Sources.gz Sources.bz2 Release Release.gpg
